freemarker.cache

## Interface StatefulTemplateLoader

All Superinterfaces:
  TemplateLoader

All Known Implementing Classes:
  MultiTemplateLoader

    public interface StatefulTemplateLoader
    extends TemplateLoader

Interface that can be implemented by `TemplateLoader`-s that maintain some sort of internal state (i.e. caches of earlier lookups for performance optimization purposes etc.) and support resetting of their state.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `resetState()` Invoked by `Configuration.clearTemplateCache()` to instruct this template loader to throw away its current state and start afresh.

### Methods inherited from interface freemarker.cache.TemplateLoader

`closeTemplateSource, findTemplateSource, getLastModified, getReader`

### Method Detail

#### resetState

    void resetState()

Invoked by `Configuration.clearTemplateCache()` to instruct this template loader to throw away its current state and start afresh.